For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETGet a WhatsApp campaign
      • DELDelete a WhatsApp campaign
      • PUTUpdate a WhatsApp campaign
      • GETReturn all your created WhatsApp templates
      • POSTCreate and Send a WhatsApp campaign
      • GETReturn all your created WhatsApp campaigns
      • GETGet your WhatsApp API account information
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsWhatsApp Campaigns

Get a WhatsApp campaign

GET
https://api.brevo.com/v3/whatsappCampaigns/:campaignId
GET
/v3/whatsappCampaigns/:campaignId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.whatsAppCampaigns.getWhatsAppCampaign(1);
8}
9main();
1{
2 "campaignName": "Test WhatsApp Campaign",
3 "campaignStatus": "sent",
4 "createdAt": "2022-12-26T06:50:00Z",
5 "id": 1672035851100690,
6 "modifiedAt": "2022-12-26T08:50:00Z",
7 "recipients": {
8 "excludedLists": [
9 45
10 ],
11 "includedLists": [
12 22
13 ],
14 "type": "list"
15 },
16 "senderNumber": "9368207029",
17 "template": {
18 "button_type": "CALL_TO_ACTION",
19 "category": "MARKETING",
20 "components": [
21 {
22 "text": "making it look like readable English.",
23 "type": "BODY"
24 },
25 {
26 "type": "BUTTONS",
27 "buttons": [
28 {
29 "text": "vLorem Ipsum is simply du",
30 "type": "URL",
31 "url": "app.brevo"
32 },
33 {
34 "phone_number": "+918800613137",
35 "text": "Lorem Ipsum is simply dum",
36 "type": "PHONE_NUMBER"
37 }
38 ]
39 }
40 ],
41 "contains_button": true,
42 "display_header": false,
43 "header_type": "text",
44 "header_variables": [
45 {
46 "datatype": "text",
47 "default": "INVALID HEADER",
48 "name": "FIRSTNAME",
49 "index": 1
50 }
51 ],
52 "language": "en",
53 "name": "official_campaign8",
54 "body_variable": [],
55 "header_footer": true
56 },
57 "scheduledAt": "2022-12-27T09:50:00Z",
58 "stats": {
59 "delivered": 3,
60 "notSent": 4,
61 "read": 2,
62 "sent": 3,
63 "unsubscribe": 0
64 }
65}
<Note>You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. [Activating Whatsapp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your account</Note> <Note>This API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information. [Get all the Lists](https://developers.brevo.com/reference/getlists-1) [Get all the Segments](https://developers.brevo.com/reference/getsegments)</Note>
Was this page helpful?
Previous

Delete a WhatsApp campaign

Next
Built with
You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. Activating Whatsapp in your account
This API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information. Get all the Lists Get all the Segments

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
Id of the campaign

Response

Get whatsApp campaign information on the basis of campaignId
campaignNamestring
Name of the WhatsApp Campaign
campaignStatusenum
Status of the WhatsApp Campaign
createdAtstring

Creation UTC date-time of the WhatsApp campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)

idlong
ID of the WhatsApp Campaign
modifiedAtstring

UTC date-time of last modification of the WhatsApp campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)

recipientsobject
Recipients of the WhatsApp Campaign
senderNumberstring
Sender of the WhatsApp Campaign
templateobject
scheduledAtstring

UTC date-time on which WhatsApp campaign is scheduled. Should be in YYYY-MM-DDTHH:mm:ss.SSSZ format

statsobject

Errors

400
Bad Request Error
404
Not Found Error